GearmanWorker::options
GearmanWorker::removeOptions
GearmanWorker
PHP Manual

# GearmanWorker::register

(PECL gearman >= 0.6.0)

GearmanWorker::register — Register a function with the job server

### Description

public bool GearmanWorker::register ( string `$function_name` [, int `$timeout` ] )

Registers a function name with the job server with an optional timeout. The timeout specifies how many seconds the server will wait before marking a job as failed. If the timeout is set to zero, there is no timeout.

### Parameters

`function_name`

  The name of a function to register with the job server

`timeout`

  An interval of time in seconds

### Return Values

A standard Gearman return value.

### See Also

- GearmanWorker::unregister() - Unregister a function name with the job servers
- GearmanWorker::unregisterAll() - Unregister all function names with the job servers

GearmanWorker::options
GearmanWorker::removeOptions
GearmanWorker
PHP Manual